#include <stdio.h>
#include <iostream>
using namespace std;

#include "Safe.h"

Safe f () {
  Safe safe (4711);
  return safe;
};

Safe g () {
  return f ();
}

int main () {
  printf ("PrivateResult: advice for functions returning object with\n");
  printf ("               non-public default constructor/assignment op.\n");
  printf ("============================================================\n");
  Safe s(f ());
  g ();
  printf ("============================================================\n");
}
